// import 'package:general_lib_bot/utils.dart';
// ignore_for_file: non_constant_identifier_names, unnecessary_string_interpolations, unnecessary_brace_in_string_interps, empty_catches

import 'package:general_lib/general_lib.dart';
import "package:path/path.dart" as path;
import 'package:translate_client/translate_client.dart';
import 'package:universal_io/io.dart';

void main(List<String> args) async {
  List<String> language_codes = [
    "en",
    "cn",
    "th",
    "ko",
    "my",
  ];
  await jsonToLanguageScript(
    language_raw: language_raw,
    default_language_code_id: "id",
    directory: Directory(path.join(Directory.current.path, "lib", "language")),
    is_translate: true,
    onData:
        (String origin_data, language_code_id, default_language_code_id) async {
      if (language_codes.contains(language_code_id)) {
        RegExp regExp = RegExp(r"({[a-z0-9_]+})", caseSensitive: false);
        if (regExp.hashData(origin_data)) {
          List<RegExpMatch> regExpMatchs =
              regExp.allMatches(origin_data).toList();
          List<String> msgs = origin_data.split(regExp);
          String result_msg = "";
          for (var i = 0; i < msgs.length; i++) {
            String msg_part = msgs[i];
            try {
              result_msg += (await TranslateClient.translate(
                text: msg_part,
                toLanguageCode: language_code_id,
                fromLanguageCode: default_language_code_id,
              ));
            } catch (e) {
              result_msg += msg_part;
            }
            try {
              RegExpMatch regExpMatch = regExpMatchs[i];
              String data = regExpMatch.group(1) ?? "";
              if (data.isNotEmpty) {
                result_msg += "${data}";
              }
            } catch (e) {}
          }
          return result_msg;
        } else {
          try {
            return (await TranslateClient.translate(
              text: origin_data,
              toLanguageCode: language_code_id,
              fromLanguageCode: default_language_code_id,
            ));
          } catch (e) {}
        }
      }

      return null;
    },
  );
}

Map language_raw = {
  "settings_account": {
    "title": "Akun",
    "nick_name": "Full Name",
    "username": "Username",
    "phone_number": "Nomor Ponsel",
    "bio": "Bio"
  },
  "settings_setting": {
    "title": "Pengaturan",
    "setting_chat": "Pengaturan Obrolan",
    "privacy_and_security": "Privasi dan Keamanan",
    "notification_and_sound": "Notifikasi dan Suara",
    "data_and_storage": "Data Dan Penyimpanan",
    "save_energy": "Penghematan Daya",
    "folder_chat": "Folder Obrolan",
    "device": "Perangkat",
    "language": "Bahasa",
  },
  "settings_app": {
    "title": "Applikasi",
    "author": "Pembuat",
    "donate": "Donasi",
    "license": "Lisensi",
  },
  "settings_help": {
    "title": "Bantuan",
    "send_question": "Kirim Pertanyaan",
    "question_general": "Pertanyaan Umum",
    "terms_of_services": "Kebijakan Privasi"
  }
};

String parseHtmlCode(String text) {
  return "<code>${text}</code>";
}
