// ignore_for_file: non_constant_identifier_names

import "language_core.dart";
import "language_code_data.dart";

extension SettingsAppExtensionLanguage on Language {
  /// default return
  /// ```dart
  /// "Applikasi";
  /// ```
  String settings_app_title({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Applikasi",
      "en": "Application",
      "ko": "애플리케이션",
      "my": "လေှျာက်လွှာ",
      "th": "แอปพลิเคชัน"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_app_title",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Pembuat";
  /// ```
  String settings_app_author({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Pembuat",
      "en": "Maker",
      "ko": "만드는 사람",
      "my": "လုပ်သူ",
      "th": "ผู้ผลิต"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_app_author",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Donasi";
  /// ```
  String settings_app_donate({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Donasi",
      "en": "Donation",
      "ko": "기부",
      "my": "ပေးကမ်းခြင်း",
      "th": "การบริจาค"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_app_donate",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Lisensi";
  /// ```
  String settings_app_license({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Lisensi",
      "en": "Licence",
      "ko": "특허",
      "my": "အခွင့်",
      "th": "ใบอนุญาต"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_app_license",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }
}
